Package org.apache.tools.ant.filters.util

# Class JavaClassHelper

java.lang.Object
org.apache.tools.ant.filters.util.JavaClassHelper

public final class JavaClassHelper extends Object
Helper class that filters constants from a Java Class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaClassHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StringBuffer`
  `getConstants(byte[] bytes)`
  Get the constants declared in a file as name=value

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaClassHelper

    public JavaClassHelper()

- ## Method Details

  - ### getConstants

    public static StringBuffer getConstants(byte[] bytes) throws IOException
    Get the constants declared in a file as name=value
    Parameters:
      `bytes` - the class as a array of bytes
    Returns:
      a StringBuffer contains the name=value pairs
    Throws:
      `IOException` - if an error occurs